Validates the provided external ntp time server for usage and configures ontap so that all nodes in the cluster use it
default property values
if not specified in post, the following default property values are assigned:
* version - auto
* key - not set
#
if the key is provided in post, authentication_enabled is set to true by default
# related ontap commands
* cluster time-service ntp server create
# learn more
* [doc /cluster/ntp/servers](#docs-cluster-cluster_ntp_servers)
POST /cluster/ntp/servers
Introduced In: 9.7
Validates the provided external NTP time server for usage and configures ONTAP so that all nodes in the cluster use it. The required fields are:
-
server
Default property values
If not specified in POST, the following default property values are assigned:
-
version- auto -
key- not set
If the key is provided in POST, authentication_enabled is set to true by default.
Related ONTAP commands
-
cluster time-service ntp server create
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
return_timeout |
integer |
query |
False |
The number of seconds to allow the call to execute before returning. When doing a POST, PATCH, or DELETE operation on a single record, the default is 0 seconds. This means that if an asynchronous operation is started, the server immediately returns HTTP code 202 (Accepted) along with a link to the job. If a non-zero value is specified for POST, PATCH, or DELETE operations, ONTAP waits that length of time to see if the job completes so it can return something other than 202.
|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
Request Body
| Name | Type | Description |
|---|---|---|
key |
||
server |
string |
NTP server host name, IPv4, or IPv6 address. |
version |
string |
NTP protocol version for server. Valid versions are 3, 4, or auto. |
Example request
{
"authentication_enabled": 1,
"key": {
"id": "10"
},
"server": "time.nist.gov",
"version": "auto"
}
Response
Status: 202, Accepted
| Name | Type | Description |
|---|---|---|
job |
Example response
{
"job": {
"uuid": "string"
}
}
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
2097163 |
NTP server IPv4 address was invalid. |
2097164 |
NTP server IPv6 address was invalid. |
2097165 |
Cannot resolve NTP server name. |
2097166 |
NTP server address query returned no valid IP addresses. |
2097167 |
Failed to connect to NTP server. |
2097169 |
NTP server provided was not synchronized with a clock or another NTP server. |
2097174 |
NTP server provided had too high of root distance. |
2097177 |
NTP server provided an invalid stratum. |
2097179 |
Too many NTP servers have been configured. |
2097181 |
NTP server address was invalid. It is a special purpose address such as loopback, multicast, or broadcast address. |
2097182 |
NTP server address was invalid. The address is neither an IPv4 or IPv6. |
2097183 |
NTP symmetric key authentication cannot be used for a node not in a cluster. |
2097185 |
NTP key authentication failed for the provided key. |
2097193 |
An unknown NTP key was provided. |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
ntp_key_reference
| Name | Type | Description |
|---|---|---|
id |
integer |
NTP symmetric authentication key identifier or index number (ID). This ID, the type of cryptographic hash, and the cryptographic hash value are all provided by the remote NTP server. |
ntp_server
| Name | Type | Description |
|---|---|---|
key |
||
server |
string |
NTP server host name, IPv4, or IPv6 address. |
version |
string |
NTP protocol version for server. Valid versions are 3, 4, or auto. |
job_link
| Name | Type | Description |
|---|---|---|
uuid |
string |
The UUID of the asynchronous job that is triggered by a POST, PATCH, or DELETE operation. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |